RVM is a command-line tool which allows you to easily install, manage, and work with multiple ruby environments from interpreters to sets of gems.

learn more… | top users | synonyms

-1
votes
2answers
916 views

Install ruby by rvm

I try to install ruby 2.1.1 by RVM and I receive following error: vmamaev@vmamaev:~$ rvm install ruby-2.1.1 ruby-2.1.1 - #removing src. Searching for binary rubies, this might take some time. No ...
2
votes
1answer
85 views

IBMi bash upgrade

I am trying to install rvm in PASE on IBMi (v7.1) but it is failing because it states bash version 3.2.25 is required. Running bash --version via CALL QP2TERM states I am running the following ...
1
vote
1answer
545 views

Linode Debian + rvm + nginx + Unicorn kills master at boot or doesn't start unicorn

I'm a new Linode/Linux user running Debian 6. I'm trying to get my Unicorn server to start at boot, but for some reason it is not, and I'm not able to track down any error message. Nginx is starting ...
0
votes
1answer
617 views

rvm ruby install failing setting paths

I've never used Ruby before so this and the surrounding terminology is new to me; I'm only doing the install so I have a base to run a specific application. I need Ruby 1.9.3, as I understand it I ...
0
votes
1answer
931 views

Starting command on boot with correct user env vars

I am attempting to create a start-up script that will run this command on boot for my ubuntu 12.04 server: bundle exec thin -R config.ru start -p 3030 When I run it as a regular user it works just ...
0
votes
1answer
250 views

Passenger + RVM returns 502 for ruby 1.8.7 (passenger_root lies in ruby 1.9.3)

I'm using Passenger + RVM + Nginx, and my Rails applications which are configured for Ruby 1.9.3 work fine, but those for 1.8.7 always return a 502 error. Can anyone spot the trouble? My config is as ...
0
votes
1answer
207 views

RVM Not Finding Library

I am running CentOS 5.9 and installed RVM on it. However, whenever I run rvm requirements or rvm install 1.9.3, I get: --> Processing Dependency: libyaml-0.so.1()(64bit) for package: libyaml-devel ...
0
votes
1answer
284 views

RVM installation + ssh

I have installed RVM (ruby version manager) on a production server (with CentOS). I have installed it as a user (e.g. foobar) and not as root. (Is this a bad idea?) Now everything works correctly ...
0
votes
1answer
242 views

Error Installing ruby with RVM Single User mode on Arch Linux

I've just installed RVM on ArchLinux x64 in single user mode via the recommended install script curl -L https://get.rvm.io | bash -s stable I've also installed all the requirements listed in rvm ...
0
votes
1answer
167 views

Easy way to launch several rails apps on the server

I have several rails applications on my server. Each application uses its own rvm gemset. I'm using Thin as web server for each application, this servers installs as a gem separately for each ...
0
votes
1answer
461 views

RVM permission denied on Ubuntu 11.10

I've been through all tutorials and solved problems I can find about RVM. There's something wrong with permissions. There are no rubies installed, and when I try to install one: "permission denied". I ...
0
votes
1answer
385 views

How to fix RVM exhausting Virtual Memory on VPS?

I'm trying to install ruby via RVM on an Ubuntu VPS with only 512 MB memory. When running rvm install 1.9.3 I get the error: ERROR: Error running 'make ', please read ...
0
votes
1answer
136 views

PHP, Rails 2 and Rails 3 on the same server, on production mode

I am setting up a new web server (ubuntu 10.04 LTS), I want to get run on production mode: PHP, Rails 2.3.X and Rails 3, and each one should be accessible from diferent path, ex: ...
0
votes
1answer
195 views

rvm for Jenkins under Tomcat 6

I've got Jenkins running under Tomcat 6. It's running as user tomcat6, with a home directory of /usr/share/tomcat6. I would like to install rvm for this user so I can use it for testing, but I can't ...
0
votes
1answer
75 views

rvm “default” version implementation

According to the official site (http://beginrescueend.com/rubies/default/), the "default" setting of rvm controls the ruby version that is loaded "when you open a new terminal shell". I am wondering, ...
0
votes
1answer
65 views

rvm doesn't revert back to system ruby

I'll let the shell log explain itself: root:~# rvm current system root:~# which ruby /usr/bin/ruby root:~# rvm use 1.9.2 Using /root/.rvm/gems/ruby-1.9.2-p290 root:~# rvm current ruby-1.9.2-p290 ...
0
votes
1answer
435 views

How to use Passenger (apache2 module) with 2+ Rails apps using each one different gemsets

Let's suppose I want to host 2 rails apps in the same server. I'd use RVM (installed as multiuser) and two different gemsets; suppose gemsetA for appA and gemsetB for appB. What's the best way to ...
0
votes
1answer
127 views

issue with installing rails using rubygem

I tried doing the following: sudo gem install rails and I always get the error message: Successfully installed rails-3.0.9 1 gem installed Installing ri documentation for rails-3.0.9... file 'lib' ...
0
votes
0answers
245 views

Upgraded to Ruby version 2.1.2, passenger still on 1.9.3

I installed Ruby 2.1.2 using RVM, and changed the nginx.conf file with the appropriate passenger_ruby and passenger_root paths, but my Rails application is still running on Ruby 1.9.3. Why is my Rails ...
0
votes
0answers
1k views

nginx passenger_root not accepting valid passenger gem location

I am trying to add passenger_root and passenger_ruby to my nginx.conf file, but when i try and restart NGINX I get the message: Starting nginx: nginx: [alert] Unable to start the Phusion Passenger ...